#include <afs/afsutil.h>
#include <afs/ptclient.h>
#include <afs/pterror.h>

#include <string.h>

//#include <afs/param.h>
//#include <afs/cellconfig.h>
//#include <rx/rx.h>
//#include <rx/xdr.h>

int main (int argc, char ** argv) {

  int flag = 0, code, sum = 0;
  char * ptrptr, * group, * groups;
  ptrptr = malloc(strlen(argv[2]));

  code = pr_Initialize(0, AFSDIR_CLIENT_ETC_DIRPATH, 0);

  if (code) {
    printf("Error Init");
    return -1;
  }

  groups = argv[2];

  while (group = strtok_r(groups, ",", &ptrptr)) {
    groups = NULL; 
    code = pr_IsAMemberOf (argv[1], group, &flag);

    switch(code) {
      case 0:  printf("%s %d\n", group, flag); sum = sum || flag;break;
      case PRBADARG: printf("No group %s\n", group); break;
      default: printf("Generic Error %d\n", code);break;
    }
  }
  pr_End();

  printf ("%d\n", sum);
  return sum;
}
